package cn.com.ty.lift.ud.operation.service;

import cn.com.ty.lift.ud.common.NotExamineDto;
import cn.com.ty.lift.ud.operation.mapper.entity.UserLevelRuleEntity;
import cn.com.ty.lift.ud.operation.mapper.entity.UserRebateRuleEntity;
import cn.com.xwy.boot.web.dto.RestResponse;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 用户等级规则;-Service
 * 
 * @author Xson
 * @date 2020-05-06
 */
public interface IUserLevelRuleService extends IService<UserLevelRuleEntity> {


    RestResponse create(UserLevelRuleEntity entity);

    UserLevelRuleEntity getByCode(String personVip);
    
    List<UserLevelRuleEntity> getVipUserLevel();

    RestResponse deleteByIds(List<Long> ids);

    List<UserLevelRuleEntity> getNotSetRole();
}
